Jump to content


Photo

Plugins with .so

Plugins

  • Please log in to reply
5 replies to this topic

#1 mmark

  • Member
  • 3 posts

0
Neutral

Posted 19 February 2018 - 17:06

Hi all

Any plugin uses modules compiled in .so has stopped working in the openPli images. do you know why?

 



Re: Plugins with .so #2 WanWizard

  • Forum Moderator
    PLi® Core member
  • 55,450 posts

+1,126
Excellent

Posted 19 February 2018 - 17:30

Nothing magically stops.

 

You you have to be a lot more specific. What what the situation (box type, openpli version) when it worked, and what when it no longer works? What .so files, where do they come from?


Currently in use: VU+Duo 4K (2xFBC S2), Amiko Viper T2C (T2+fallback), Octagon SF8008 (S2+T2), Zgemma H9.2H (T2+fallback)

Many answers to your question can be found in our new and improved wiki.

note: I do not provide support via PM !

 


Re: Plugins with .so #3 mmark

  • Member
  • 3 posts

0
Neutral

Posted 19 February 2018 - 17:51

I use a plugin called uilo, on the xtrend 8000 box, with the open modules the plugin works regularly, with the modules compiled .so the plugin does not find them even if there are, this in versions 6.0 and 6.1, in version 4.0 it works regularly .



Re: Plugins with .so #4 mmark

  • Member
  • 3 posts

0
Neutral

Posted 19 February 2018 - 17:57

the compiler used is cython



Re: Plugins with .so #5 WanWizard

  • Forum Moderator
    PLi® Core member
  • 55,450 posts

+1,126
Excellent

Posted 19 February 2018 - 18:00

In most cases, a new major OpenPLi version means a newer version of OpenEmbedded, with a newer version of Python, maybe a different kernel, etc.

 

On a linux system you can't simply copy binaries back and forth, they need to be compiled for a specific environment. Which is why we are so against (and so very vocal about) this kind of closed source stuff.

 

Al you can do is go back to the author, and hope it gets fixed.


Currently in use: VU+Duo 4K (2xFBC S2), Amiko Viper T2C (T2+fallback), Octagon SF8008 (S2+T2), Zgemma H9.2H (T2+fallback)

Many answers to your question can be found in our new and improved wiki.

note: I do not provide support via PM !

 


Re: Plugins with .so #6 Erik Slagter

  • PLi® Core member
  • 46,251 posts

+514
Excellent

Posted 22 February 2018 - 18:42

Using / distributing "pre-compiled" libraries is asking for trouble. The real solution is to supply the source code so it can be compiled in the proper environment matching that on the receiver.


* Wavefrontier T90 with 28E/23E/19E/13E/9E/4.8E/0.8W/5W via SCR switches 2 x 2 x 6 user bands
* Ziggo digital cable TV (FTA)
I don't read PM -> if you have something to ask or to report, do it in the forum so others can benefit. I don't take freelance jobs.
Ik lees geen PM -> als je iets te vragen of te melden hebt, doe het op het forum, zodat anderen er ook wat aan hebben.





Also tagged with one or more of these keywords: Plugins

1 user(s) are reading this topic

0 members, 1 guests, 0 anonymous users